export = Route53;
/**
 * @typedef {import('./types').DNSRecord} DNSRecord
 * @typedef {import('./types').Route53Options} Route53Options
 */
declare class Route53 {
    static get displayName(): string;
    static get slug(): string;
    /**
     * @param {Route53Options} options
     */
    constructor({ accessKeyId, secretAccessKey, region, hostedZoneId, record }: Route53Options);
    accessKeyId: string;
    secretAccessKey: string;
    region: string;
    hostedZoneId: string;
    record: string;
    /**
     * @param {string} cid
     * @returns {Promise<DNSRecord>}
     */
    link(cid: string): Promise<DNSRecord>;
    get displayName(): string;
}
declare namespace Route53 {
    export { DNSRecord, Route53Options };
}
type DNSRecord = import('./types').DNSRecord;
type Route53Options = import('./types').Route53Options;
//# sourceMappingURL=route53.d.ts.map